cURL
curl --request POST \
--url https://api.hubapi.com/conversations/custom-channels/2026-03 \
--header 'Content-Type: application/json' \
--data '
{
"capabilities": {},
"name": "<string>",
"channelAccountConnectionRedirectUrl": "<string>",
"channelDescription": "<string>",
"channelLogoUrl": "<string>",
"webhookUrl": "<string>"
}
'import requests
url = "https://api.hubapi.com/conversations/custom-channels/2026-03"
payload = {
"capabilities": {},
"name": "<string>",
"channelAccountConnectionRedirectUrl": "<string>",
"channelDescription": "<string>",
"channelLogoUrl": "<string>",
"webhookUrl": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
capabilities: {},
name: '<string>',
channelAccountConnectionRedirectUrl: '<string>',
channelDescription: '<string>',
channelLogoUrl: '<string>',
webhookUrl: '<string>'
})
};
fetch('https://api.hubapi.com/conversations/custom-channels/2026-03', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capabilities": {},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"channelAccountConnectionRedirectUrl": "<string>",
"channelDescription": "<string>",
"channelLogoUrl": "<string>",
"webhookUrl": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}カスタムチャネル
POST /conversations/custom-channels/2026-03
POST
/
conversations
/
custom-channels
/
2026-03
cURL
Supported products
Supported products
ボディ
application/json
最終更新日 2026年4月10日
Integrate the HubSpot mobile chat SDK into your iOS app
前へ
GET /conversations/custom-channels/2026-03
次へ
⌘I